From 628f55068a60c72666dc45f3ff22f82346c60b35 Mon Sep 17 00:00:00 2001
From: Michael Vogt <mvo@debian.org>
Date: Thu, 19 Dec 2013 15:36:58 +0100
Subject: [PATCH] try to auto-detect proxy if available

---
 debootstrap | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/debootstrap b/debootstrap
index dfa0abc..7bbb15e 100755
--- a/debootstrap
+++ b/debootstrap
@@ -48,6 +48,17 @@ PRIVATEKEY=""
 
 DEF_MIRROR="http://ftp.us.debian.org/debian"
 
+# do auto proxy discovery
+AUTOPROXY=""
+eval $(apt-config shell AUTOPROXY Acquire::http::ProxyAutoDetect)
+if [ -z "$http_proxy" ] && [ -x "$AUTOPROXY" ]; then
+    http_proxy="$($AUTOPROXY)"
+    if [ -n "$http_proxy" ]; then
+        echo "Using auto-detected proxy: $http_proxy"
+        export http_proxy
+    fi
+fi
+
 export LANG USE_COMPONENTS
 umask 022
 
-- 
1.8.3.2

